> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Web links resources

## Web link

Web links are objects that point to URLs. These objects are also known as bookmarks within the Box web application. Web link objects are treated similarly to file objects, they will also support most actions that apply to regular files.

<Accordion title="Attributes and example">
  | Property          | Type                                                      | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
  | ----------------- | --------------------------------------------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`              | `string`                                                  | Yes      | The unique identifier for this web link.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
  | `type`            | `enum<string>`                                            | Yes      | The value will always be `web_link`. Available options: `web_link`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
  | `etag`            | `string`                                                  | No       | The entity tag of this web link. Used with `If-Match` headers.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
  | `url`             | `string`                                                  | No       | The URL this web link points to.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
  | `sequence_id`     | `string`                                                  | No       | A numeric identifier that represents the most recent user event that has been applied to this item. This can be used in combination with the `GET /events`-endpoint to filter out user events that would have occurred before this identifier was read. An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the `sequence_id` in the event is smaller than or equal to the `sequence_id` in the originally fetched resource. Can be `null`. |
  | `name`            | `string`                                                  | No       | The name of the web link.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
  | `parent`          | [Folder (Mini)](/reference/folders-resources#folder-mini) | No       | The parent object the web link belongs to.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
  | `description`     | `string`                                                  | No       | The description accompanying the web link. This is visible within the Box web application.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
  | `path_collection` | `object`                                                  | No       | A list of parent folders for an item.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
  | `created_at`      | `string`                                                  | No       | When this file was created on Box’s servers.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
  | `modified_at`     | `string`                                                  | No       | When this file was last updated on the Box servers.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
  | `trashed_at`      | `string`                                                  | No       | When this file was moved to the trash. Can be `null`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
  | `purged_at`       | `string`                                                  | No       | When this file will be permanently deleted. Can be `null`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
  | `created_by`      | [User (Mini)](/reference/users-resources#user-mini)       | No       | The user who created this web link.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
  | `modified_by`     | [User (Mini)](/reference/users-resources#user-mini)       | No       | The user who last modified this web link.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
  | `owned_by`        | [User (Mini)](/reference/users-resources#user-mini)       | No       | The user who owns this web link.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
  | `shared_link`     | `object`                                                  | No       | Shared links provide direct, read-only access to files or folder on Box. Shared links with open access level allow anyone with the URL to access the item, while shared links with company or collaborators access levels can only be accessed by appropriately authenticated Box users. Can be `null`.                                                                                                                                                                                                                                                                                             |
  | `item_status`     | `enum<string>`                                            | No       | Whether this item is deleted or not. Values include `active`, `trashed` if the file has been moved to the trash, and `deleted` if the file has been permanently deleted. Available options: `active`, `trashed`, `deleted`.                                                                                                                                                                                                                                                                                                                                                                         |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "web_link",
    "etag": "1",
    "url": "https://www.example.com/example/1234",
    "sequence_id": "3",
    "name": "My Bookmark",
    "parent": {
      "id": "12345",
      "etag": "1",
      "type": "folder",
      "sequence_id": "3",
      "name": "Contracts"
    },
    "description": "Example page",
    "path_collection": {
      "total_count": 1,
      "entries": [
        {
          "id": "12345",
          "etag": "1",
          "type": "folder",
          "sequence_id": "3",
          "name": "Contracts"
        }
      ]
    },
    "created_at": "2012-12-12T10:53:43-08:00",
    "modified_at": "2012-12-12T10:53:43-08:00",
    "trashed_at": "2012-12-12T10:53:43-08:00",
    "purged_at": "2012-12-12T10:53:43-08:00",
    "created_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "modified_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "owned_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "shared_link": {
      "url": "https://www.box.com/s/vspke7y05sb214wjokpk",
      "download_url": "https://www.box.com/shared/static/rh935iit6ewrmw0unyul.jpeg",
      "vanity_url": "https://acme.app.box.com/v/my_url/",
      "vanity_name": "my_url",
      "access": "open",
      "effective_access": "company",
      "effective_permission": "can_download",
      "unshared_at": "2018-04-13T13:53:23-07:00",
      "is_password_enabled": true,
      "permissions": {
        "can_download": true,
        "can_preview": true,
        "can_edit": false
      },
      "download_count": 3,
      "preview_count": 3
    },
    "item_status": "active"
  }
  ```
</Accordion>

## Web link (Base)

Web link (Base) is a subset of the web link object.

<Accordion title="Attributes and example">
  | Property | Type           | Required | Description                                                         |
  | -------- | -------------- | -------- | ------------------------------------------------------------------- |
  | `id`     | `string`       | Yes      | The unique identifier for this web link.                            |
  | `type`   | `enum<string>` | Yes      | The value will always be `web_link`. Available options: `web_link`. |
  | `etag`   | `string`       | No       | The entity tag of this web link. Used with `If-Match` headers.      |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "web_link",
    "etag": "1"
  }
  ```
</Accordion>

## Web link (Mini)

Web link (Mini) is a subset of the web link object.

<Accordion title="Attributes and example">
  | Property      | Type           | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
  | ------------- | -------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`          | `string`       | Yes      | The unique identifier for this web link.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
  | `type`        | `enum<string>` | Yes      | The value will always be `web_link`. Available options: `web_link`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
  | `etag`        | `string`       | No       | The entity tag of this web link. Used with `If-Match` headers.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
  | `url`         | `string`       | No       | The URL this web link points to.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
  | `sequence_id` | `string`       | No       | A numeric identifier that represents the most recent user event that has been applied to this item. This can be used in combination with the `GET /events`-endpoint to filter out user events that would have occurred before this identifier was read. An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the `sequence_id` in the event is smaller than or equal to the `sequence_id` in the originally fetched resource. Can be `null`. |
  | `name`        | `string`       | No       | The name of the web link.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "web_link",
    "etag": "1",
    "url": "https://www.example.com/example/1234",
    "sequence_id": "3",
    "name": "My Bookmark"
  }
  ```
</Accordion>
